package x33eja.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

@Entity
// todo nastav :
//            - jmeno tabulky person
//            - typ inheritance na "joined"
//            - stlpec discriminatoru typu string na "disc_type",
//            - hodnotu diskriminatora na "person"
public class Person implements Serializable {

    /**
     * Protoze byl primarni klic zvolen nevhodne jako datum narozeni, musi
     * byt rucne osetreno, aby se neulozila duplicita, jinak nastane vyjimka:
     * java.sql.SQLIntegrityConstraintViolationException
     * Spravne generovani klice je naznaceno v entite Department
     */

    @Id
    private int birthNumber;

    
    private String firstName;

    // todo nastav :
    //      - atribut odpovedajici fieldu surname je v DB tabulke povinny
    private String surname;

    public Person () {
    }

    public int getBirthNumber () {
        return birthNumber;
    }

    public void setBirthNumber (int val) {
        this.birthNumber = val;
    }

    public String getFirstName () {
        return firstName;
    }

    public void setFirstName (String val) {
        this.firstName = val;
    }

    public String getSurname () {
        return surname;
    }

    public void setSurname (String val) {
        this.surname = val;
    }

}

